using System;
class SudarBrojeva
{
    static void Main()
    {
        long b=0,k=1;
        int cx,cy;
        long x=long.Parse(Console.ReadLine());
        long y=long.Parse(Console.ReadLine());
        while(x>0 || y>0)
        {
            if(x>0 && y>0)
            {
                cx=x%10;
                cy=y%10;
            }
            else if(x<=0 && y>0)
            {
                cx=0;
                cy=y%10;
            }
            else if(x>0 && y<=0)
            {
                cx=x%10;
                cy=0;
            }
            if(cx<cy)
            {
                b+=cy*k;
            }
            else if(cx>cy)
            {
                b+=cx*k;
            }
            y/=10;
            x/=10;
            k*=10;
        }
        Console.WriteLine(b);
    }
}